'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _multimatch = require('multimatch');

var _multimatch2 = _interopRequireDefault(_multimatch);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const path = require('path');

exports.default = pattern => {
  // Match everything if no pattern was given
  if (typeof pattern !== 'string' && !Array.isArray(pattern)) {
    return () => true;
  }
  const patterns = Array.isArray(pattern) ? pattern : [pattern];
  return file => (0, _multimatch2.default)(path.normalize(file), patterns, { dot: true }).length > 0;
};